## NAME

db.droptable - Drops an attribute table.

## KEYWORDS

database, attribute table

## SYNOPSIS

db.droptable
db.droptable --help
db.droptable [-f] [driver=name] [database=name] table=name [--help] [--verbose] [--quiet] [--ui]

### Flags:

-f
  Force removal (required for actual deletion of files)
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

driver=name
  Name of database driver
  If not given then default driver is used
database=name
  Name of database
  If not given then default database is used
table=name [required]
  Name of table to drop

## DESCRIPTION

db.droptable drops an attribute table. If the -f force flag is not given then nothing is removed, instead a preview of the action to be taken is printed.

## NOTES

db.droptable is a front-end to db.execute to allow easier usage. To some extent it is verified if the table is connected to a vector map to avoid accidental table removal.

## EXAMPLES

### Removing an attribute table from default database

    # show default database
    db.connect -p

    # show available tables
    db.tables -p

    # this will show what would happen
    db.droptable table=sometable

    # actually drop the table
    db.droptable -f table=sometable

### Removing an attribute table from given database

db.droptable allows defining optionally driver and database options different from default connection settings (`db.connect -p`).

    # drop the table from SQLite database
    db.droptable -f table=sometable driver=sqlite database=/opt/sqlite.db

## SEE ALSO

db.dropdb, db.dropcolumn, db.execute, db.login, db.connect, db.tables, db.describe, v.db.droptable,

GRASS SQL interface

## AUTHORS

Markus Neteler
Driver and database options added by Martin Landa, Czech Technical University in Prague, Czech Republic

Last changed: $Date$

## SOURCE CODE

Available at: db.droptable source code (history)

Main index | Database index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual